Moving Pictures tutorial fails

Hi Qiime2 community,

I recently installed Qiime2 and tried the moving pictures tutorial.

When I run this command :

qiime tools import
–type RawSequences
–input-path raw-sequences
–output-path raw-sequences.qza

I get this error:

Traceback (most recent call last):
  File "/home/otta/.conda/envs/qiime2/lib/python3.5/site-packages/qiime-2.0.6-py3.5.egg/qiime/sdk/util.py", line 62, in parse_type
    type_expr = eval(string, {'__builtins__': {}}, locals_)
  File "<string>", line 1, in <module>
NameError: name 'RawSequences' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/otta/.conda/envs/qiime2/bin/qiime", line 6, in <module>
    sys.exit(q2cli.__main__.qiime())
  File "/home/otta/.conda/envs/qiime2/lib/python3.5/site-packages/click/core.py", line 722, in __call__
    return self.main(*args, **kwargs)
  File "/home/otta/.conda/envs/qiime2/lib/python3.5/site-packages/click/core.py", line 697, in main
    rv = self.invoke(ctx)
  File "/home/otta/.conda/envs/qiime2/lib/python3.5/site-packages/click/core.py", line 1066, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/otta/.conda/envs/qiime2/lib/python3.5/site-packages/click/core.py", line 1066, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/otta/.conda/envs/qiime2/lib/python3.5/site-packages/click/core.py", line 895, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/otta/.conda/envs/qiime2/lib/python3.5/site-packages/click/core.py", line 535, in invoke
    return callback(*args, **kwargs)
  File "/home/otta/.conda/envs/qiime2/lib/python3.5/site-packages/q2cli-0.0.6-py3.5.egg/q2cli/tools.py", line 62, in import_data
  File "/home/otta/.conda/envs/qiime2/lib/python3.5/site-packages/qiime-2.0.6-py3.5.egg/qiime/sdk/result.py", line 155, in import_data
    type_ = qiime.sdk.parse_type(type_)
  File "/home/otta/.conda/envs/qiime2/lib/python3.5/site-packages/qiime-2.0.6-py3.5.egg/qiime/sdk/util.py", line 82, in parse_type
    " may be needed to define it." % name)
qiime.sdk.util.UnknownTypeError: Name 'RawSequences' is not a defined QIIME type, a plugin may be needed to define it.

Here is the result of my qiime info (type addon installed)

qiime info
System versions
Python version: 3.5.2
QIIME version: 2.0.6
q2cli version: 0.0.6

Installed plugins
diversity 0.0.6
emperor 0.0.6
feature-table 0.0.6
types 0.0.6

Application config directory
/home/otta/.config/q2cli

Getting help
To get help with QIIME 2, visit https://qiime2.org

Citing QIIME 2
If you use QIIME 2 in any published work, you should cite QIIME 2 and the plugins that you used. To display the citations for QIIME and all installed plugins, run:

  qiime info --citations

Is it expected that “RawSequences” is not in the semantic type list ?

Can you help me figure out what am I doing wrong ?

Regards,
Alban

Hey @Alban_OTT!

Looks like you are just missing q2-demux which defines that semantic type.

conda install -c qiime2 q2-demux

As for the documentation, that was a bug and it’s been fixed in upstream, but is pending our next release.

2 Likes

Thank you @ebolyen .
It worked.

I wish to mention an issue I had with curl:
(problem might comes from bad network config on my side)

Command :

qiime tools import   --type RawSequences   --input-path raw-sequences   --output-path raw-sequences.qza

Result:

Traceback (most recent call last):
[...]
ValueError: InPath('raw-sequences/sequences.fastq.gz') is not formatted as a FastqGzFormat file.

For testing purpose I tried :

gunzip barcodes.fastq.gz
gzip: barcodes.fastq.gz: unexpected end of file

I replaced the curl command with wget and it worked.

wget https://data.qiime2.org/2.0.6/tutorials/moving-pictures/raw-sequences/barcodes.fastq.gz
wget https://data.qiime2.org/2.0.6/tutorials/moving-pictures/raw-sequences/sequences.fastq.gz
2 Likes

Thanks for following up @Alban_OTT! We have heard several other reports of curl misbehaving in the past :frowning2: — thanks so much for sharing a workaround that worked for you! wget is generally a good choice, especially when curl is being difficult!

1 Like